# Enunciado:
# Dado um número, imprima a sua decomposição em números primos

n = int(input())

# se n < 2, não há decomposição em números primos
if n >= 2:
    # começamos a divisão por 2
    d = 2
    # iremos dividir pelos seus divisores primos, portanto chegaremos em 1 no
    # final
    while n != 1:
        # caso seja possível dividir por d, dividimos e imprimimos d
        if n % d == 0:
            n //= d
            print(d)
        # caso não seja possível, vamos para o próximo possível divisor
        # isso não impede ir para divisores compostos, mas como já dividimos
        # pelos números menores, temos que não será possível dividir por um
        # número composto
        else:
            d += 1
else:
    print("Não dá para achar a decomposição!")
